### Method

# GExiv2 Metadata try_get_tag_raw

deprecated: 0.16.0 since: 0.12.2

#### Declaration [src]

    GBytes*
    gexiv2_metadata_try_get_tag_raw (
      GExiv2Metadata* self,
      const gchar* tag,
      GError** error
    )

#### Description [src]

The Exiv2 Tag Reference can be found at http://exiv2.org/metadata.html

Tags that support multiple values may be returned as a single byte array, with records separated by 4x INFORMATION SEPARATOR FOUR (ASCII 0x1c).

Available since: 0.12.2

Deprecated since: 0.16.0

Use `gexiv2_metadata_get_tag_raw()` instead.

#### Parameters

`tag`

  Type: `const gchar*`

  Exiv2 tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

The tag’s raw value as a byte array.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.